# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXUnreference

Function

Removes a reference from an Object without deleting it.

Syntax
`
#include <dx/dx.h>
`

Error DXUnreference(Object o)

Functional Details

This routine is not normally used by module writers. `DXDelete` should be called to remove a reference to an Object `o`.

`DXUnreference` allows an Object's reference count to be decremented to 0 without releasing its memory, which is not desirable under normal circumstances. (See 4.2 , "Memory Management".)

Return Value

Returns `OK` or returns `ERROR` and sets an error code.

See Also

`DXDelete, DXReference`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]